Checkout List
curl --request GET \
--url https://nini.monieswitch.com/checkout \
--header 'Authorization: Bearer <token>'import requests
url = "https://nini.monieswitch.com/checkout"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://nini.monieswitch.com/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Operation is successful",
"data": {
"checkouts": [
{
"id": "4533691f-eff9-4a52-be3b-62df7d5c8fa0",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 10000,
"hasPaid": true,
"reference": "OxojUZ5M1s0Przfs1Q12J34e0bLBbazj28cX",
"createdAt": "2024-08-03T01:22:20.634Z",
"bearer": "subaccount",
"charges": 250,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 10000,
"subaccountShare": 9000,
"subaccountSettlement": 8750,
"mainAccountShare": 1000,
"mainAccountSettlement": 1000,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "ea1c8181-db04-4a5f-933c-fdfb861ea960",
"email": "[email protected]",
"status": "NEW",
"amount": 10000,
"hasPaid": false,
"reference": "BYwGvYsZDS70D2ARlNOmpbHRf6T7i9msBdSu",
"createdAt": "2024-08-03T01:10:29.268Z",
"charges": 250,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 10000,
"subaccountShare": 9000,
"subaccountSettlement": 8750,
"mainAccountShare": 1000,
"mainAccountSettlement": 1000,
"hasActiveSubaccount": true
},
{
"id": "b19144b6-acbb-4972-bb37-4f75c1587861",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 10000,
"hasPaid": true,
"reference": "XwkrRDWRJAhIJdlk9qQiksSeRh4YUa6AXsVe",
"createdAt": "2024-08-03T00:35:55.564Z",
"charges": 250,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 10000,
"subaccountShare": 9000,
"subaccountSettlement": 8750,
"mainAccountShare": 1000,
"mainAccountSettlement": 1000,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "d6914c74-d962-4219-907c-34b0acc41710",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 10000,
"hasPaid": true,
"reference": "FJgfVYyMWvIrMdfsrSytZMtIPc58XFEvyXpp",
"createdAt": "2024-08-02T23:23:04.977Z",
"charges": 250,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 10000,
"subaccountShare": 9000,
"subaccountSettlement": 9000,
"mainAccountShare": 1000,
"mainAccountSettlement": 750,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "c1c9a3a4-fe64-4adb-a8af-b7c8f9c6c48e",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 5000,
"hasPaid": true,
"reference": "iNGYx5rtNIsiImu0FJdWiWcnACpBXZxXk9qV",
"createdAt": "2024-08-02T22:31:05.769Z",
"charges": 175,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 5000,
"subaccountShare": 4500,
"subaccountSettlement": 4500,
"mainAccountShare": 500,
"mainAccountSettlement": 325,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "f85a53e6-86ea-4eac-a0bd-0183b0739058",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 5000,
"hasPaid": true,
"reference": "YxlHK4I9T3GlkhUoxb4TYr3rsh8vv2eNDEiy",
"createdAt": "2024-08-02T19:32:17.980Z",
"charges": 175,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 5000,
"subaccountShare": 4500,
"subaccountSettlement": 4500,
"mainAccountShare": 500,
"mainAccountSettlement": 325,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "7addc5ff-75cf-464b-ae5b-2c1b1800662c",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 5000,
"hasPaid": true,
"reference": "W75Jp5630J1WDihLonkYO6IfjHgtCPEjemcH",
"createdAt": "2024-08-02T15:41:04.836Z",
"charges": 175,
"subaccountId": "f16aee43-f1d5-43d7-8f0f-29acf85202bd",
"payableAmount": 5000,
"subaccountShare": 4500,
"subaccountSettlement": 4500,
"mainAccountShare": 500,
"mainAccountSettlement": 325,
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": true,
"customerName": "Emmanuel"
},
{
"id": "833d2ee1-951a-4fe8-8f89-6044fee545a2",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 4000,
"hasPaid": true,
"reference": "wHd1DUYikL5McTT2lxeGHOYabrplDuaTPD1M",
"createdAt": "2024-07-31T16:14:35.130Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "64a03503-436b-4187-9670-99cd73bf982d",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 4000,
"hasPaid": true,
"reference": "lAmoASYSbrSUxibupEziS5zLhjrLUQVu0uPR",
"createdAt": "2024-07-31T15:53:34.172Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "33ffd979-e492-4102-ae90-f7666fe6bdd7",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 4000,
"hasPaid": true,
"reference": "7QJ3OBeU7NZNzy7jN6UkzjzXzHu3LNmdu646",
"createdAt": "2024-07-31T15:10:37.963Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "e4898be9-ddfa-42f6-9543-8acbcf4689fe",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 4000,
"hasPaid": true,
"reference": "1i4qCenuCJLQy53VsmR7Kv4r0yRZARnk8ggW",
"createdAt": "2024-07-31T14:53:55.187Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "2f05629f-67a4-4ab2-834f-47b697ae495e",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 2000,
"hasPaid": true,
"reference": "CEp7JcVnG5s9SzFeCQYz33NlMIViKDQ7pc1r",
"createdAt": "2024-07-31T14:02:36.372Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "3a60fdcb-4e01-4442-a91d-9c98440407b3",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 2000,
"hasPaid": true,
"reference": "myvz2yoweEDJuQZQjMFjVir76pSdr6NldjI7",
"createdAt": "2024-07-31T13:23:33.792Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
},
{
"id": "d15003df-e6fc-4c18-9d30-44821c8173ae",
"email": "[email protected]",
"status": "COMPLETED",
"amount": 2000,
"hasPaid": true,
"reference": "9jHRduHKPNnVMBuOsDrmRvOpr4prQN1PHgnM",
"createdAt": "2024-07-31T12:29:15.975Z",
"paymentMethod": "Bank Transfer",
"hasActiveSubaccount": false,
"customerName": "Emmanuel"
}
],
"size": 50,
"page": 1,
"totalRecords": 14,
"totalPages": 1
}
}Checkout
Checkout List
GET
/
checkout
Checkout List
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
⌘I